# $Revision: 1.36 $, $Date: 2006/01/30 12:49:38 $
#
# Available build options:
%bcond_with	checkpath	# enable check if php execution is within DOCUMENT_ROOT of the vhost
#
%define		mod_name	suphp
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: suPHP - execute PHP scripts with the permissions of their owners
Summary(pl):	Modu do apache: suPHP - uruchamianie skryptw PHP z uprawnieniami ich wacicieli
Name:		apache-mod_%{mod_name}
Version:	0.6.1
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://www.suphp.org/download/%{mod_name}-%{version}.tar.gz
# Source0-md5:	7eb8ae29404392d9eb07c69d5242d716
Source1:	%{name}.logrotate
Source2:	%{name}.conf
Source3:	%{name}-suphp.conf
Patch0:		%{name}-apr.patch
Patch1:		%{name}-compiler-flags.patch
Patch2:		%{name}-apache_version.patch
URL:		http://www.suphp.org/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
Requires:	apache(modules-api) = %apache_modules_api
Requires:	php-cgi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
suPHP is a tool for executing PHP scripts with the permissions of
their owners. It consists of an Apache module (mod_suphp) and a setuid
root binary (suphp) that is called by the Apache module to change the
uid of the process executing the PHP interpreter.

%description -l pl
suPHP jest narzdziem pozwalajcym na wykonywanie skryptw w PHP z
uprawnieniami ich wacicieli. Skada si z moduu (mod_suphp) oraz
programu (suphp) z ustawionym bitem suid, ktry uruchamiany jest przez
modu w celu zmiany uid procesu uruchamiajcego interpreter PHP.

%prep
%setup -q -n %{mod_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
export APACHE_VERSION=$(rpm -q --qf '%%{version}' apache-apxs)
%configure \
	%{?with_checkpath: --enable-checkpath} \
	%{!?with_checkpath: --disable-checkpath} \
	--with-apache-user=http \
	--with-min-uid=500 \
	--with-min-gid=1000 \
	--with-apxs=%{apxs} \
	--disable-checkuid \
	--disable-checkgid \
	--with-setid-mode=owner \
	--with-logfile=/var/log/httpd/suphp_log

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_pkglibdir},%{_datadir}/suphp}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

install src/suphp $RPM_BUILD_ROOT%{_sbindir}
install src/apache2/.libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf/70_mod_%{mod_name}.conf
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/%{mod_name}.conf

install -d $RPM_BUILD_ROOT/etc/logrotate.d
install %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/apache-mod_suphp

install doc/suphp.conf-example $RPM_BUILD_ROOT%{_datadir}/suphp

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog doc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf/*_mod_%{mod_name}.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%attr(4755,root,root) %{_sbindir}/suphp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%dir %{_datadir}/suphp
%{_datadir}/suphp/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_suphp.spec,v $
Revision 1.36  2006/01/30 12:49:38  baggins
- release 1
- SANE settings
- works with apache 2.2 OOTB

Revision 1.35  2006/01/27 17:54:09  baggins
- removed hacks
- updated patches

Revision 1.34  2006/01/27 17:40:31  baggins
- update to 0.6.1

Revision 1.33  2005/12/28 13:37:03  glen
- rel 5

Revision 1.32  2005/12/27 00:56:51  glen
- unified

Revision 1.31  2005/12/22 00:54:09  glen
- kill apxs dep; rel 4

Revision 1.30  2005/12/22 00:52:08  glen
- fix build for apache 2.2
- fixed duplicate files
- rel 3

Revision 1.29  2005/07/03 16:39:55  aniolek
- added BR: libstdc++-devel

Revision 1.28  2005/07/01 20:07:18  zboczuch
- version 0.6.0
- compiler flags patch
- sample config file included
- removed configure option with-php (path to php should be specified in
  config file from now)
- ugly libtool trick (FIXME)

Revision 1.27  2005/06/08 23:23:40  ankry
- temporary, dirty build problem workaround, rel. 6

Revision 1.26  2005/03/13 23:04:49  adamg
- pass --with-php (with path to php.cgi, otherwise it uses /usr/bin/php
  which is a symlink to php.cli and this causes error 500)
- adapterized
- release 5

Revision 1.25  2004/10/30 08:27:00  ankry
- pl fix

Revision 1.24  2004/10/30 07:07:25  paladine
- unifications

Revision 1.23  2004/10/23 14:15:07  qboosh
- deps for apr1-based apache

Revision 1.22  2004/10/23 13:30:32  havner
- rel 4

Revision 1.21  2004/10/20 20:41:29  arekm
- apr update; untested

Revision 1.20  2004/10/10 10:34:02  havner
- rel 3

Revision 1.19  2004/09/19 19:11:56  radek
- release 2: fixed path, unified
- dropped apache1 bcond (apache1-*.spec is the right way)

Revision 1.18  2004/07/19 22:34:47  arekm
- fix apache1 support

Revision 1.17  2004/07/13 13:51:53  arekm
- 0.5.2

Revision 1.16  2004/05/30 12:40:09  hunter
- correct path of config file for apache

Revision 1.15  2004/02/28 13:34:06  arekm
- create dir for configuration

Revision 1.14  2004/02/24 15:59:41  erjot
- up to 0.5.1

Revision 1.13  2004/02/24 14:54:39  baggins
- don't install apache2 config when built with apache1

Revision 1.12  2004/02/24 14:45:20  baggins
- release 0.6
- NO! it does NOT obsolete php

Revision 1.11  2004/02/15 13:16:07  qboosh
- fixed bcond, better don't use globs for suid binaries

Revision 1.10  2004/02/15 11:22:28  erjot
- add config
- fix Req

Revision 1.9  2004/01/12 12:33:18  arekm
- also works with apache2 (todo: apache 2 configuration file)

Revision 1.8  2004/01/11 00:08:44  arekm
- updated to 0.5

Revision 1.7  2003/11/14 10:08:19  arekm
- rel 0.5 (disable DOCUMENT_ROOT check by default since it doesn't
  work for Alias'ed directiories; disable checkuid/checkgid as apache
  itself works in the same way with suexec and it's usefull for
  hosting companies)

Revision 1.6  2003/11/11 02:06:29  qboosh
- BR: ac,am

Revision 1.5  2003/10/25 18:09:23  adamg
- this update is sponsored by Marcin Kurzyna
- rotate mod_suphp logfiles
- fixed configure params
- bcond: --disable checkpath

Revision 1.4  2003/10/01 23:12:39  adamg
- updated to 0.3.1

Revision 1.3  2003/09/24 12:26:19  adamg
- added some configure options

Revision 1.2  2003/09/24 12:18:25  adamg
- added missing binary

Revision 1.1  2003/09/24 12:15:45  adamg
- initial import, for apache 1.3 only
- builds, not tested yet
